Package org.eclipse.net4j.util.ui.views

# Class ContainerItemProvider.LeafNode

java.lang.Object
ContainerItemProvider<CONTAINER>.AbstractNode
org.eclipse.net4j.util.ui.views.ContainerItemProvider.LeafNode

All Implemented Interfaces:
  `EventListener`, `IListener`, `ContainerItemProvider.Node`

Direct Known Subclasses:
  `ContainerItemProvider.FixedChildrenNode`

Enclosing class:
  ContainerItemProvider<CONTAINER extends IContainer<Object>>

public class ContainerItemProvider.LeafNode extends ContainerItemProvider<CONTAINER>.AbstractNode implements IListener

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.IListener

`IListener.NotifierAware`

## Field Summary

### Fields inherited from interface org.eclipse.net4j.util.ui.views.ContainerItemProvider.Node

`NO_CHILDREN`

## Constructor Summary

Constructors
Constructor
Description
`LeafNode(ContainerItemProvider.Node parent, Object element)`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`List<ContainerItemProvider.Node>`
`getChildren()`
`Object`
`getElement()`
`void`
`notifyEvent(IEvent event)`

### Methods inherited from class org.eclipse.net4j.util.ui.views.ContainerItemProvider.AbstractNode

`addChild, checkNotDisposed, disposeChildren, getParent, getParentElement, getTreePath, hasChildren, isDisposed, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LeafNode

public LeafNode(ContainerItemProvider.Node parent, Object element)

## Method Details

### dispose

public void dispose()

Specified by:
  `dispose` in interface `ContainerItemProvider.Node`
Overrides:
  `dispose` in class `ContainerItemProvider<CONTAINER extends IContainer<Object>>.AbstractNode`

### getElement

public Object getElement()

Specified by:
  `getElement` in interface `ContainerItemProvider.Node`

### getChildren

public List<ContainerItemProvider.Node> getChildren()

Specified by:
  `getChildren` in interface `ContainerItemProvider.Node`

### notifyEvent

public void notifyEvent(IEvent event)

Specified by:
  `notifyEvent` in interface `IListener`